Bug 1203697 - [RFE] nova should allow instances to be paused during live migration [NEEDINFO]
Summary: [RFE] nova should allow instances to be paused during live migration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 6.0 (Juno)
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: async
: 9.0 (Mitaka)
Assignee: Eoghan Glynn
QA Contact: Prasanth Anbalagan
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_mitaka-3 upstream_...
Depends On: 1309775 1335634
Blocks: 1339882
TreeView+ depends on / blocked
 
Reported: 2015-03-19 13:32 UTC by Eoghan Glynn
Modified: 2019-11-14 06:39 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 17:59:18 UTC
Target Upstream Version:
mburns: needinfo? (eglynn)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1430300 0 None None None Never
OpenStack gerrit 163836 0 None ABANDONED Add ability to pause instance during live migration 2020-06-16 16:43:58 UTC

Description Eoghan Glynn 2015-03-19 13:32:30 UTC
Nova should allow for instances undergoing live migration to be paused so as to expedite the completion of migration.

Otherwise we could end up in a situation where the admin is unable to evacuate a host because migration will never complete.

Comment 4 Stephen Gordon 2016-01-29 15:46:11 UTC
Not sure we are tracking the correct upstream artefacts here, these appear to be stalled but there is IIRC other work ongoing in this area in Mitaka.

Comment 5 Stephen Gordon 2016-02-04 20:58:14 UTC
(In reply to Stephen Gordon from comment #4)
> Not sure we are tracking the correct upstream artefacts here, these appear
> to be stalled but there is IIRC other work ongoing in this area in Mitaka.

Found it:

https://blueprints.launchpad.net/nova/+spec/pause-vm-during-live-migration

Comment 8 Stephen Gordon 2016-07-26 18:45:35 UTC
Verify async.

Comment 10 Prasanth Anbalagan 2016-08-19 02:23:57 UTC
[root@serverA]# nova show vm1 | grep host
| OS-EXT-SRV-ATTR:host                 | serverB                             |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | serverB                             |
| hostId                               | 332850d3bf4bf9df7484d60624246e77a2b85723b1a39ae92586ec19 |
[root@serverA]# 


[root@serverA]# 
[root@serverA]# nova live-migration --block-migrate vm1 serverA


[root@serverA]# nova list
+--------------------------------------+------+-----------+------------+-------------+---------------------+
| ID                                   | Name | Status    | Task State | Power State | Networks            |
+--------------------------------------+------+-----------+------------+-------------+---------------------+
| 10160fb8-a5a2-4ccb-acdb-d561488d50a7 | vm1  | MIGRATING | migrating  | Running     | public=172.24.4.232 |
+--------------------------------------+------+-----------+------------+-------------+---------------------+

[root@serverA]# cat force.json 
{"force_complete": null}

[root@serverA]# curl -i http://X.X.X.X:8774/v2.1/b03dfd4f822c466c8d965958ea6577d2/servers/10160fb8-a5a2-4ccb-acdb-d561488d50a7/migrations/6/action -X POST -H "Content-Type: application/json" -H "X-Auth-Token: d23f6f4462844e1e8cba7b3cf259e554" -H "Accept: application/json" -H 'X-OpenStack-Nova-API-Version: 2.22' -T force.json
HTTP/1.1 100 Continue

HTTP/1.1 202 Accepted
Content-Length: 0
Content-Type: application/json
X-Openstack-Nova-Api-Version: 2.22
Vary: X-OpenStack-Nova-API-Version
X-Compute-Request-Id: req-a4a3fe66-a1d7-46d7-8559-fa2348c2c797
Date: Fri, 19 Aug 2016 02:12:55 GMT

Note: The migration ID was retrieved from DB table 'migrations'

[root@serverA]# nova show vm1 | grep host| OS-EXT-SRV-ATTR:host                 | serverA             |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | serverA             |
| hostId                               | 61fd03001d700e23b87f639bce4b44f8632e4368d557e54db3202934 |
[root@serverA]#


Note You need to log in before you can comment on or make changes to this bug.